Search processing.org:

Reference for Processing version 1.0+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### captureEvent()

Examples

    import processing.video.*;
    Capture myCapture;

    void setup()
    {
      size(200, 200);
      myCapture = new Capture(this, width, height, 30);
    }

    void draw() {
      image(myCapture, 0, 0);
    }

    void captureEvent(Capture myCapture) {
      myCapture.read();
    }

Description | Called when a new camera frame is available. Use the read() method to capture this frame. If there is more than one capture device in the program, captureEvent() is called each time any of the devices has a new frame available. Use an if() within the function to determine which device is triggering the event.

Syntax

    void captureEvent(Capture which) {
      statements
    }

Parameters

statements | any valid statements
which | the camera with the event

Usage | Web & Application
Related | Capture

Updated on February 28, 2009 08:32:28pm PST